summaryrefslogtreecommitdiff
diff options
context:
space:
mode:
-rw-r--r--manifest-import/debian/manifest-import.postinst31
-rw-r--r--manifest-import/debian/manifest-import.triggers1
-rw-r--r--manifest-import/debian/patches/series1
3 files changed, 33 insertions, 0 deletions
diff --git a/manifest-import/debian/manifest-import.postinst b/manifest-import/debian/manifest-import.postinst
new file mode 100644
index 0000000..fa7bbea
--- /dev/null
+++ b/manifest-import/debian/manifest-import.postinst
@@ -0,0 +1,31 @@
+#!/bin/sh
+
+set -e
+
+run_import_manifests()
+{
+ if [ -f /lib/svc/share/smf_include.sh ]; then
+ . /lib/svc/share/smf_include.sh
+ if smf_present ; then
+ /lib/svc/method/manifest-import || true
+ fi
+ fi
+}
+
+case "$1" in
+ triggered)
+ run_import_manifests
+ exit 0
+ ;;
+ configure)
+ ;;
+ *)
+ exit 0
+ ;;
+esac
+
+#DEBHELPER#
+
+
+exit 0
+
diff --git a/manifest-import/debian/manifest-import.triggers b/manifest-import/debian/manifest-import.triggers
new file mode 100644
index 0000000..423dd63
--- /dev/null
+++ b/manifest-import/debian/manifest-import.triggers
@@ -0,0 +1 @@
+interest /lib/svc/manifest
diff --git a/manifest-import/debian/patches/series b/manifest-import/debian/patches/series
index 741400f..4cb6c3d 100644
--- a/manifest-import/debian/patches/series
+++ b/manifest-import/debian/patches/series
@@ -1 +1,2 @@
mfstscan-libs.patch
+manifest-import.patch